Bug 414231 - jetty: multiple security issues (CVE-2007-5613, CVE-2007-5614, CVE-2007-5615)
Summary: jetty: multiple security issues (CVE-2007-5613, CVE-2007-5614, CVE-2007-5615)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: jetty
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On:
Blocks: CVE-2007-5613 CVE-2007-5614 CVE-2007-5615
TreeView+ depends on / blocked
 
Reported: 2007-12-06 16:11 UTC by Red Hat Product Security
Modified: 2009-10-26 15:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 05:26:35 UTC


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-12-06 16:11:18 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5615 to the following vulnerability:

CRLF injection vulnerability in Mortbay Jetty before 6.1.6rc0 allows remote attackers to inject arbitrary HTTP headers and conduct HTTP response splitting attacks via unspecified vectors.

References:

http://svn.codehaus.org/jetty/jetty/trunk/VERSION.txt
http://www.kb.cert.org/vuls/id/212984

Comment 1 Tomas Hoger 2007-12-06 16:45:52 UTC
Two other security issues were reported for Jetty:

CVE-2007-5613
Cross-site scripting (XSS) vulnerability in Dump Servlet in Mortbay
Jetty before 6.1.6rc1 allows remote attackers to inject arbitrary web
script or HTML via unspecified parameters and cookies.

References:
http://jira.codehaus.org/browse/JETTY-452
http://svn.codehaus.org/jetty/jetty/trunk/VERSION.txt
http://www.kb.cert.org/vuls/id/237888


CVE-2007-5614
Mortbay Jetty before 6.1.6rc1 does not properly handle "certain quote
sequences" in HTML cookie parameters, which allows remote attackers to
hijack browser sessions via unspecified vectors.

References:
http://svn.codehaus.org/jetty/jetty/trunk/VERSION.txt
http://www.kb.cert.org/vuls/id/438616


Jeff, version of Jetty currently shipped in Fedora is 5.1.12, is it affected by
those flaws?


Comment 2 Jeff Johnston 2007-12-06 18:58:01 UTC
CVE-2007-5613 does not apply since we don't ship examples.  There are no
test-cases provided with the vulnerabilities so I cannot tell you if jetty5 was
susceptible or not.  Based on the information provided, we must assume it is
vulnerable since the release predates 6.1.6.  I am going to switch the jetty
package to 6.1.6rc1 which addresses all of the problems listed.

Comment 3 Jeff Johnston 2007-12-06 20:51:46 UTC
I've hit a snag.  Jetty6 requires things that aren't currently in Fedora.  I am
going to pursue what would be required to patch our jetty5.

Comment 4 Jeff Johnston 2007-12-19 20:20:51 UTC
Update.  Upstream maintainer Greg Wilkins has reported that 5614 and 5615 are
minor severity.  He has graciously offered to work on a jetty5 patch with the
earliest completion estimate being after the holidays.

Comment 6 Bug Zapper 2008-11-26 08:52:14 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-01-09 05:26:35 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Red Hat Bugzilla 2009-10-26 15:28:48 UTC
Reporter changed to security-response-team@redhat.com by request of Jay Turner.


Note You need to log in before you can comment on or make changes to this bug.